package com.example.flyme.utils.activity;

import com.example.flyme.utils.R;
import com.meizu.flyme.reflect.ActionBarProxy;
import com.meizu.flyme.reflect.StatusBarProxy;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.view.View;
import android.view.WindowManager;

@SuppressLint("InlinedApi")
public class BaseActivity extends FragmentActivity {
	private static final int version = Integer.valueOf(android.os.Build.VERSION.SDK_INT);

	@Override
	public void startActivity(Intent intent) {
		super.startActivity(intent);
		if(version > 5){
			overridePendingTransition(R.anim.zoomin, R.anim.zoomout);
		}		
	}
	
	@Override
	protected void onCreate(Bundle arg0) {
		super.onCreate(arg0);
		
		if(version >= 19){
			getWindow().addFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_STATUS);
			getWindow().addFlags(WindowManager.LayoutParams.FLAG_TRANSLUCENT_NAVIGATION);
			
	        StatusBarProxy.setStatusBarDarkIcon(getWindow(), true);
	        int paddingTop = StatusBarProxy.getStatusBarHeight(this) + ActionBarProxy.getActionBarHeight(this, getActionBar());
	        int paddingBottom = ActionBarProxy.getSmartBarHeight(this, getActionBar());
	        View contentView = findViewById(android.R.id.content);
	        contentView.setPadding(contentView.getPaddingLeft(), paddingTop,contentView.getPaddingRight(), paddingBottom);
		}
		
	}

}
