package com.example.flyme.utils.activity;

import java.util.Locale;

import com.example.flyme.utils.R;
import com.meizu.flyme.utils.CommonUtils;

import android.os.Bundle;
import android.text.Editable;
import android.text.TextWatcher;
import android.widget.EditText;
import android.widget.TextView;

public class ContactAvatarColorActivity extends BaseActivity {
	private EditText mContactAvatarColorEt;
	private TextView mContactAvatarColorIv;
	private TextView mContactAvatarColorTv;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.contact_pic_color_show);
		initView();
	}

	private void initView() {
		mContactAvatarColorEt = (EditText) findViewById(R.id.test_contactpic_et);
		mContactAvatarColorIv = (TextView) findViewById(R.id.test_contactpic_iv);
		mContactAvatarColorTv = (TextView) findViewById(R.id.contact_avatar_detail_tv);
		mContactAvatarColorEt
				.addTextChangedListener(mContactPicColorTextWatcher);
	}

	private TextWatcher mContactPicColorTextWatcher = new TextWatcher() {

		@Override
		public void onTextChanged(CharSequence arg0, int arg1, int arg2,
				int arg3) {
		}

		@Override
		public void beforeTextChanged(CharSequence arg0, int arg1, int arg2,
				int arg3) {
		}

		@Override
		public void afterTextChanged(Editable arg0) {
			String name = mContactAvatarColorEt.getText()
					.toString();
			if(name != null && name.length() > 0){
				name = name.substring(0, 1).toUpperCase(Locale.CHINESE);
				mContactAvatarColorIv.setText(name);
				mContactAvatarColorIv.setBackgroundColor(CommonUtils
						.getBackgroundColorId(mContactAvatarColorEt.getText()
								.toString(), ContactAvatarColorActivity.this));
				mContactAvatarColorTv.setText(mContactAvatarColorEt.getText()
						.toString());
			}else{
				mContactAvatarColorIv.setText("");
				mContactAvatarColorIv.setBackground(null);
				mContactAvatarColorTv.setText("");
			}
		}
	};
}
